/* Webolize IssueTracker and Webolize Core
 * Copyright (C) 2007 Webolize LLC
 * http://www.webolize.com
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using Webolize.IssueTracker.Domain;

using Cuyahoga.Core.Util;
using Cuyahoga.Web.UI;
using Cuyahoga.Web.Util;

namespace Webolize.IssueTracker.Web.Admin
{
	/// <summary>
	/// Summary description for Edit Forums.
	/// </summary>
	public class Admin : ModuleAdminBasePage
	{
        protected System.Web.UI.WebControls.Repeater wf_StatusTypes;
        protected System.Web.UI.WebControls.DropDownList wf_DefaultStatus;
        protected System.Web.UI.WebControls.LinkButton wf_NewStatusType;
		protected System.Web.UI.WebControls.TextBox wf_LicenseCode;
        protected System.Web.UI.WebControls.Literal wf_LicenseFile;
        protected System.Web.UI.WebControls.Label wf_IsLicensed;
        protected System.Web.UI.WebControls.Literal wf_LicenseType;
        protected System.Web.UI.WebControls.HyperLink wf_LicensedToCompany;
        protected System.Web.UI.WebControls.Literal wf_ReleaseDate;
        protected System.Web.UI.WebControls.Literal wf_LicensedUntil;

		private IssueTrackerModule _module;

		private void Page_Load(object sender, System.EventArgs e)
		{
			base.Title = "Webolize IssueTracker Administration";
			this._module = base.Module as IssueTrackerModule;

			if (! this.IsPostBack)
			{
                BindData();
			}
		}

        private void BindData()
        {
            IssueTrackerDB ttdb = new IssueTrackerDB( _module.SessMgr );

            wf_StatusTypes.DataSource = ttdb.GetAllStatuses();
            wf_StatusTypes.DataBind();
        }

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.wf_StatusTypes.ItemDataBound += new System.Web.UI.WebControls.RepeaterItemEventHandler( this.wf_StatusTypes_ItemDataBound );
            this.wf_NewStatusType.Click += new System.EventHandler( this.wf_NewStatusType_Click );
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

        private void wf_StatusTypes_ItemDataBound( object sender, System.Web.UI.WebControls.RepeaterItemEventArgs e )
		{
            //TTServiceType ttst = e.Item.DataItem as TTServiceType;
            ITAttribute itat = e.Item.DataItem as ITAttribute;

            HyperLink hplEdit = e.Item.FindControl( "hpledit" ) as HyperLink;
            if ( hplEdit != null ) {
                hplEdit.NavigateUrl = String.Format( "~/Modules/Webolize-IssueTracker/Admin/EditStatusType.aspx?NodeId={0}&SectionId={1}&StatusTypeID={2}", this.Node.Id, this.Section.Id, itat.ID.ToString() );
            }
		}

        protected void wf_NewStatusType_Click( object sender, EventArgs e )
        {
            Response.Redirect( String.Format( "~/Modules/Webolize-IssueTracker/Admin/EditStatusType.aspx?NodeId={0}&SectionId={1}&StatusTypeId=-1", this.Node.Id, this.Section.Id ) );
        }
	}
}
